Loading...
Searching...
No Matches
com::lomiri::content::ImportExportHandler Class Referenceabstract

`#include <com/lomiri/content/import_export_handler.h>`

Inheritance diagram for com::lomiri::content::ImportExportHandler:
Collaboration diagram for com::lomiri::content::ImportExportHandler:

## Public Member Functions

| ImportExportHandler (const ImportExportHandler &)=delete
virtual | ~ImportExportHandler ()=default
ImportExportHandler & | operator= (const ImportExportHandler &)=delete
virtual Q_INVOKABLE void | handle_import (Transfer *)=0
virtual Q_INVOKABLE void | handle_export (Transfer *)=0
virtual Q_INVOKABLE void | handle_share (Transfer *)=0

## Protected Member Functions

| ImportExportHandler (QObject *parent=nullptr)

## Detailed Description

Definition at line 31 of file import_export_handler.h.

## Constructor & Destructor Documentation

## ImportExportHandler() [1/2]

com::lomiri::content::ImportExportHandler::ImportExportHandler | ( | const ImportExportHandler & |  | ) |

delete

References ImportExportHandler().

Referenced by ImportExportHandler(), and operator=().

Here is the call graph for this function:

## ~ImportExportHandler()

virtual com::lomiri::content::ImportExportHandler::~ImportExportHandler | ( |  | ) |

virtual default

## ImportExportHandler() [2/2]

com::lomiri::content::ImportExportHandler::ImportExportHandler | ( | QObject * | parent = nullptr | ) |

protected

## Member Function Documentation

## handle_export()

virtual Q_INVOKABLE void com::lomiri::content::ImportExportHandler::handle_export | ( | Transfer * |  | ) |

pure virtual

## handle_import()

virtual Q_INVOKABLE void com::lomiri::content::ImportExportHandler::handle_import | ( | Transfer * |  | ) |

pure virtual

## handle_share()

virtual Q_INVOKABLE void com::lomiri::content::ImportExportHandler::handle_share | ( | Transfer * |  | ) |

pure virtual

## operator=()

ImportExportHandler & com::lomiri::content::ImportExportHandler::operator= | ( | const ImportExportHandler & |  | ) |

delete

References ImportExportHandler().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- include/com/lomiri/content/import_export_handler.h